CREATE OR REPLACE FUNCTION delete_table_or_view(text) RETURNS VOID AS $$
DECLARE
  table_found integer := 0;
BEGIN
  EXECUTE 'select count(*) from pg_tables where tablename=''' || $1 || ''';' INTO table_found;
  IF table_found > 0 THEN
    EXECUTE 'DROP TABLE IF EXISTS ' || $1 || ' CASCADE;';
  ELSE
    EXECUTE 'DROP VIEW IF EXISTS ' || $1 || ' CASCADE;';
  END IF;
  RETURN;
END;
$$ LANGUAGE plpgsql;
