--get Stats
--$1: view id
--$2: entity table name
CREATE OR REPLACE FUNCTION getStats(integer, text) RETURNS VOID AS $$
BEGIN
    EXECUTE 'DROP TABLE IF EXISTS extractedStats' || CAST($1 AS TEXT) || ';' ;
    EXECUTE 'DROP TABLE IF EXISTS intermediateStats' || CAST($1 AS TEXT) || ';';
    EXECUTE 'CREATE TABLE intermediateStats' || CAST($1 AS TEXT) || ' AS (SELECT id, auxF(to_tsvector(name)::text, length(to_tsvector(name)), length(name)) FROM ' || $2 || ');';
    EXECUTE 'CREATE TABLE extractedStats' || CAST($1 AS TEXT) || ' AS (SELECT word, ln((SELECT COUNT(*) FROM ' || $2 || ')::real / count(*)) AS idf FROM (SELECT id, (intermediateStats' || CAST($1 AS TEXT) || '.auxF).wordf AS word FROM intermediateStats' || CAST($1 AS TEXT) || ') AS temp2' || CAST($1 AS TEXT) || ' GROUP BY word ORDER BY word);';
END;
$$ LANGUAGE plpgsql;
