exec_path=`readlink -f $0`
hazy_conf_path="`dirname $exec_path`/../../hazy.conf"
db_name=`cat $hazy_conf_path | grep Database | awk 'BEGIN {FS="="} {print $2}'`

cd installation
psql $db_name -c "CREATE LANGUAGE plpgsql;";
make clean
make
sh create_functions.sh $db_name `pwd`/s_libs/functions/
sh create_triggers.sh $db_name `pwd`/s_libs/triggers/
sh create_sql_functions.sh $db_name
cd ../
