dbname=VLDB11_Exp

psql $dbname -c "DROP TABLE IF EXISTS large_update_pos; CREATE TABLE large_update_pos(id int, name text);";
psql $dbname -c "DROP TABLE IF EXISTS large_update_neg; CREATE TABLE large_update_neg(id int, name text);";
psql $dbname -c "DROP TRIGGER IF EXISTS pos_trigger ON large_update_pos; CREATE TRIGGER pos_trigger AFTER INSERT OR UPDATE OR DELETE ON large_update_pos FOR EACH ROW EXECUTE PROCEDURE update_trig();";
psql $dbname -c "DROP TRIGGER IF EXISTS neg_trigger ON large_update_neg; CREATE TRIGGER neg_trigger AFTER INSERT OR UPDATE OR DELETE ON large_update_neg FOR EACH ROW EXECUTE PROCEDURE update_trig();";
psql $dbname -c "DROP TABLE IF EXISTS large_update_type_test; CREATE TABLE large_update_type_test(id int, label int, feature_vector float8[]);";
psql $dbname -c "DROP TRIGGER IF EXISTS pos_trigger2 ON large_update_type_test; CREATE TRIGGER pos_trigger2 AFTER INSERT OR UPDATE OR DELETE ON large_update_type_test FOR EACH ROW EXECUTE PROCEDURE update_trig_bin();";
psql $dbname -c "DROP TABLE IF EXISTS large_update_type_test3; CREATE TABLE large_update_type_test3(id int, label int, feature_vector pair[]);";
psql $dbname -c "DROP TRIGGER IF EXISTS pos_trigger3 ON large_update_type_test; CREATE TRIGGER pos_trigger3 AFTER INSERT OR UPDATE OR DELETE ON large_update_type_test3 FOR EACH ROW EXECUTE PROCEDURE update_trig_bin();";
