#include <sys/time.h>
#include <stdio.h>
#include "vectors.h"
#include <iostream>
#include <fstream>
#include <sstream>
#include <iomanip>
#include <string>
#include <map>
#include <vector>
#include <cassert>
#include <cstdlib>
#include <cmath>
#include <algorithm>
#include <iterator>

using namespace std;

int main() {

	FVector x;
	FVector y;
	double wscale = 4;

	x.set(0, 1);
	x.set(1, 1.5);
	x.set(2, 2);
	x.set(3, 0.5);

	y.set(0, 2);
	y.set(1, 6);
	y.set(2, 8);
	y.set(3, 4);

	cout << "initial: " << endl;
	cout << "x: " << endl;
	for(int i = 0; i < x.size() ; i ++)
		cout << x.get(i) << ",";
	cout << endl;

	cout << "y: " << endl;
	for(int i = 0; i < y.size() ; i ++)
		cout << y.get(i) << ",";
	cout << endl;

	x.add(y, wscale);

	cout << "after: " << endl;
	cout << "x: " << endl;
	for(int i = 0; i < x.size() ; i ++)
		cout << x.get(i) << ",";
	cout << endl;

	cout << "y: " << endl;
	for(int i = 0; i < y.size() ; i ++)
		cout << y.get(i) << ",";
	cout << endl;

	return 0;
}
