DROP TABLE IF EXISTS demo_papers;
DROP TABLE IF EXISTS demo_training_examples;
CREATE TABLE demo_papers(id int, name text);
CREATE TABLE demo_training_examples(id int, l int, feature_vector pair[]);
INSERT INTO demo_papers VALUES(1, 'Locating Data Sources in Large Distributed Systems.');
INSERT INTO demo_papers VALUES(2, 'Efficient IR-Style Keyword Search over Relational Databases.');
INSERT INTO demo_papers VALUES(3, 'Operator Scheduling in a Data Stream Manager.');
INSERT INTO demo_papers VALUES(4, 'Avoiding Ordering and Grouping In Query Processing.');
INSERT INTO demo_papers VALUES(5, 'Merging Models Based on Given Correspondences.');
INSERT INTO demo_papers VALUES(6, 'Multiscale Histograms: Summarizing Topological Relations in Large Spatial Datasets.');
INSERT INTO demo_papers VALUES(7, 'Query Processing in Spatial Network Databases.');
INSERT INTO demo_papers VALUES(8, 'The TPR*-Tree: An Optimized Spatio-Temporal Access Method for Predictive Queries.');
INSERT INTO demo_papers VALUES(9, 'Efficient Approximation Of Optimization Queries Under Parametric Aggregation Constraints.');
INSERT INTO demo_papers VALUES(10, 'AniPQO: Almost Non-intrusive Parametric Query Optimization for Nonlinear Cost Functions.');
INSERT INTO demo_papers VALUES(11, 'Supporting Top-k Join Queries in Relational Databases.');
INSERT INTO demo_papers VALUES(12, 'A Dependability Benchmark for OLTP Application Environments.');
INSERT INTO demo_papers VALUES(13, 'Primitives for Workload Summarization and Implications for SQL.');
INSERT INTO demo_papers VALUES(14, 'Cache Tables: Paving the Way for an Adaptive Database Cache.');
INSERT INTO demo_papers VALUES(15, 'Lachesis: Robust Database Storage Management Based on Device-specific Performance Characteristics.');
INSERT INTO demo_papers VALUES(16, 'Memory Requirements for Query Execution in Highly Constrained Devices.');
INSERT INTO demo_papers VALUES(17, 'Tabular Placement of Relational Data on MEMS-based Storage Devices.');
INSERT INTO demo_papers VALUES(18, 'BHUNT: Automatic Discovery of Fuzzy Algebraic Constraints in Relational Data.');
INSERT INTO demo_papers VALUES(19, 'Estimating the Output Cardinality of Partial Preaggregation with a Measure of Clusteredness.');
INSERT INTO demo_papers VALUES(20, 'The Generalized Pre-Grouping Transformation: Aggregate-Query Optimization in the Presence of Dependencies.');
INSERT INTO demo_papers VALUES(21, 'Temporal Slicing in the Evaluation of XML Queries.');
INSERT INTO demo_papers VALUES(22, 'The ND-Tree: A Dynamic Indexing Technique for Multidimensional Non-ordered Discrete Data Spaces.');
INSERT INTO demo_papers VALUES(23, 'Supporting Frequent Updates in R-Trees: A Bottom-Up Approach.');
INSERT INTO demo_papers VALUES(24, 'Locking Protocols for Materialized Aggregate Join Views.');
INSERT INTO demo_papers VALUES(25, 'Mapping Adaptation under Evolving Schemas.');
INSERT INTO demo_papers VALUES(26, 'Feature selection focused within error clusters.');
INSERT INTO demo_papers VALUES(27, 'Video caption duration extraction.');
INSERT INTO demo_papers VALUES(28, 'Parzen Discriminant Analysis.');
INSERT INTO demo_papers VALUES(29, 'An approach for video cut detection using bipartite graph matching as dissimilarity distance.');
INSERT INTO demo_papers VALUES(30, 'Cervicographic image retrieval by spatial similarity of lesions.');
INSERT INTO demo_papers VALUES(31, 'Extended Kalman filtering approach to stereo video stabilization.');
INSERT INTO demo_papers VALUES(32, 'A similarity measure under Log-Euclidean metric for stereo matching.');
INSERT INTO demo_papers VALUES(33, 'Structure and motion factorization under quasi-perspective projection with missing data in tracking matrix.');
INSERT INTO demo_papers VALUES(34, 'A stochastic nearest neighbor character prototype approach for online writer identification.');
INSERT INTO demo_papers VALUES(35, 'A novel stability quantification of detected interest points in scale-space.');
INSERT INTO demo_papers VALUES(36, 'FastNMF: A fast monotonic fixed-point non-negative Matrix Factorization algorithm with high ease of use.');
INSERT INTO demo_papers VALUES(37, 'A machine learning based scheme for double JPEG compression detection.');
INSERT INTO demo_papers VALUES(38, 'Unsupervised clustering using hyperclique pattern constraints.');
INSERT INTO demo_papers VALUES(39, 'Camera motion filtering and its applications.');
INSERT INTO demo_papers VALUES(40, 'Counterfeit iris detection based on texture analysis.');
INSERT INTO demo_papers VALUES(41, 'Ancient document analysis based on text line extraction.');
INSERT INTO demo_papers VALUES(42, 'Fast and robust image identification.');
INSERT INTO demo_papers VALUES(43, 'Bhattacharyya boosting.');
INSERT INTO demo_papers VALUES(44, 'Convenient reconstruction of natural plants by images.');
INSERT INTO demo_papers VALUES(45, 'Feature Fusion Hierarchies for gender classification.');
INSERT INTO demo_papers VALUES(46, 'Feature condensing algorithm for feature selection.');
INSERT INTO demo_papers VALUES(47, 'Road region estimation using a sequence of monocular images.');
INSERT INTO demo_papers VALUES(48, 'Kernel oriented discriminant analysis for speaker-independent phoneme spaces.');
INSERT INTO demo_papers VALUES(49, 'Classification by bagged consistent itemset rules.');
INSERT INTO demo_papers VALUES(50, 'Endmember detection using the Dirichlet process.');
