if [ $# -ne 6 ]
then
  echo "usage: $0 mm_version strategy_alg initial_resort_time logging run_id fair_se_eager"
  exit;
fi

dataset_name=citeseer
mm_hazy_version=$1
strategy_algorithm=$2
dim=682003
initial_resort_time=$3
m_factor=1.00000000000001
dense_feature=0
logging=$4
run_id=$5
model1_path=scripts/read_count_scripts/models/citeseer/citeseer.model1
model2_path=scripts/read_count_scripts/models/citeseer/citeseer.model2
fair_se_eager=${6}

sh scripts/read_count_scripts/common/count_read_experiment.sh $dataset_name $mm_hazy_version $strategy_algorithm $dim $initial_resort_time $m_factor $dense_feature $logging $run_id $model1_path $model2_path $fair_se_eager
