if [ $# -ne 1 ]
then
  echo "usage: $0 num_of_threads"
  exit;
fi

num_of_threads=$1

dataset_name=dblife
mm_hazy_version=2
dim=41267
initial_resort_time=1.8
m_factor=1.0000000000000004
dense_feature=0
logging=0
model1_path=scripts/read_se_parallel_scripts/models/dblife/dblife.model1
model2_path=scripts/read_se_parallel_scripts/models/dblife/dblife.model2
fair_se_eager=0

i=1
while [ $i -le 7 ];
do
	sh scripts/read_se_parallel_scripts/common/se_read_experiment.sh $dataset_name $mm_hazy_version 2 $dim $initial_resort_time $m_factor $dense_feature $logging $i $model1_path $model2_path $fair_se_eager $num_of_threads 1240 1
	i=`expr $i + 1`
done
i=1
while [ $i -le 7 ];
do
	sh scripts/read_se_parallel_scripts/common/se_read_experiment.sh $dataset_name $mm_hazy_version 3 $dim $initial_resort_time $m_factor $dense_feature $logging $i $model1_path $model2_path $fair_se_eager $num_of_threads 1240 1
	i=`expr $i + 1`
done
