#!/bin/bash
if [ $# -ne 1 ]
then
  echo "usage: $0 db_name";
  exit;
fi

db_name=$1

for strat in $(seq 0 3); do
    for i in $(seq 10); do
	psql $db_name -c "DROP TABLE IF EXISTS sm_test_entity_table_name CASCADE; CREATE TABLE sm_test_entity_table_name(id int, feature_vector FLOAT8[]); COPY sm_test_entity_table_name FROM '/u/k/o/koc/academic/Large_Scale_IE_Project/hazy_svn/hazy_svn/HAZY_VIEWS/trunk/hazy_system/Hazy_System/system_src/src/data/example1/medium_dense_copy_data.dat' DELIMITER ';'";	
	exec/sm_test --dense --puresgd --dim 55 --db_name $db_name --mainmemory --entity_table_name sm_test_entity_table_name --strategy $strat data/example1/medium_dense_data.dat data/example1/medium_dense_train.dat $i
	psql $db_name -c "DROP TABLE IF EXISTS sm_test_entity_table_name CASCADE; CREATE TABLE sm_test_entity_table_name(id int, feature_vector pair[]); COPY sm_test_entity_table_name FROM '/u/k/o/koc/academic/Large_Scale_IE_Project/hazy_svn/hazy_svn/HAZY_VIEWS/trunk/hazy_system/Hazy_System/system_src/src/data/example1/medium_copy_data.dat' DELIMITER ';'";
	exec/sm_test --puresgd --dim 10000 --db_name $db_name --mainmemory --entity_table_name sm_test_entity_table_name --strategy $strat data/example1/medium_data.dat data/example1/medium_train.dat $i
	psql $db_name -c "DROP TABLE IF EXISTS sm_test_entity_table_name CASCADE; CREATE TABLE sm_test_entity_table_name(id int, feature_vector pair[]); COPY sm_test_entity_table_name FROM '/u/k/o/koc/academic/Large_Scale_IE_Project/hazy_svn/hazy_svn/HAZY_VIEWS/trunk/hazy_system/Hazy_System/system_src/src/data/example1/medium_copy_data.dat' DELIMITER ';'";
	exec/sm_test --puresgd --dim 10000 --db_name $db_name --entity_table_name sm_test_entity_table_name --strategy $strat data/example1/medium_data.dat data/example1/medium_train.dat $i
	psql $db_name -c "DROP TABLE IF EXISTS sm_test_entity_table_name CASCADE; CREATE TABLE sm_test_entity_table_name(id int, feature_vector FLOAT8[]); COPY sm_test_entity_table_name FROM '/u/k/o/koc/academic/Large_Scale_IE_Project/hazy_svn/hazy_svn/HAZY_VIEWS/trunk/hazy_system/Hazy_System/system_src/src/data/example1/medium_dense_copy_data.dat' DELIMITER ';'";	
	exec/sm_test --dense --puresgd --dim 55 --db_name $db_name --entity_table_name sm_test_entity_table_name --strategy $strat data/example1/medium_dense_data.dat data/example1/medium_dense_train.dat $i
  done
done
